Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps
Class WPServiceFactory

    java.lang.Object
      org.deegree.ogcwebservices.wps.WPServiceFactory

    public final class WPServiceFactory

extends Object

WPServiceFactory.java Created on 08.03.2006. 17:47:52h

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Christian Kiehle, Christian Heier, last edited by: $Author: mschneider $

Method Summary
`static WPService` | `getInstance()`
`static WPService` | `getInstance(WPSConfiguration config)`
`static WPService` | `getService()`
`static void` | `setConfiguration(URL serviceConfigurationUrl)`
`static void` | `setConfiguration(WPSConfiguration wpsConfiguration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static WPService getInstance(WPSConfiguration config)

  Parameters:
    `config` -
  Returns:
    WPService

### getInstance

    public static WPService getInstance()
                                 throws OGCWebServiceException

  Returns:
    WPService
  Throws:
    `OGCWebServiceException`

### setConfiguration

    public static void setConfiguration(WPSConfiguration wpsConfiguration)

  Parameters:
    `wpsConfiguration` -

### setConfiguration

    public static void setConfiguration(URL serviceConfigurationUrl)
                                 throws InvalidConfigurationException,
                                        IOException

  Parameters:
    `serviceConfigurationUrl` -
  Throws:
    `InvalidConfigurationException`
    `IOException`

### getService

    public static WPService getService()

  Returns:
    WPService

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org